diff -ruN -x CVS -x '.*' src.old/x11/Xserver/Makefile src/x11/Xserver/Makefile
--- src.old/x11/Xserver/Makefile	2004-01-02 18:05:49.000000000 -0800
+++ src/x11/Xserver/Makefile	2004-01-02 23:01:49.000000000 -0800
@@ -2,7 +2,8 @@
 
 .include <bsd.own.mk>
 
-.if ${MACHINE} != "sparc" && ${MACHINE} != "sparc64" && ${MACHINE} != "hpcmips"
+.if ${MACHINE} != "sparc" && ${MACHINE} != "sparc64" && \
+	${MACHINE} != "hpcmips" && ${MACHINE} != "mac68k"
 SUBDIR.md=fontbase Xfont
 .endif
 
diff -ruN -x CVS -x '.*' src.old/x11/Xserver/Xserver/Makefile src/x11/Xserver/Xserver/Makefile
--- src.old/x11/Xserver/Xserver/Makefile	2004-01-02 18:05:49.000000000 -0800
+++ src/x11/Xserver/Xserver/Makefile	2004-01-03 03:18:08.000000000 -0800
@@ -8,6 +8,8 @@
 SUBDIR+=	Xsun Xsun24 XsunMono
 .elif ${MACHINE} == "hpcmips" 
 SUBDIR+=	Xhpc
+.elif ${MACHINE} == "mac68k"
+SUBDIR+=	Xmac68k
 .else
 SUBDIR+=	XFree86
 .endif
diff -ruN -x CVS -x '.*' src.old/x11/Xserver/Xserver/Makefile.Xserver src/x11/Xserver/Xserver/Makefile.Xserver
--- src.old/x11/Xserver/Xserver/Makefile.Xserver	2004-01-02 18:05:49.000000000 -0800
+++ src/x11/Xserver/Xserver/Makefile.Xserver	2004-01-03 04:09:42.000000000 -0800
@@ -10,7 +10,7 @@
 		dix/xpstubs hw/sun hw/xfree86/xf86 hw/xfree86/xf86_os \
 		hw/xfree86/xf86config hw/xfree86/loader \
 		\
-		hw/netbsd/macppc hw/netbsd/hpc
+		hw/netbsd/macppc hw/netbsd/hpc hw/netbsd/mac68k
 
 .if !defined(LIBDIR.${_SL})
 LIBDIR.${_SL}!=	cd ${NETBSDSRCDIR}/x11/Xserver/${_SL} && ${PRINTOBJDIR}
diff -ruN -x CVS -x '.*' src.old/x11/Xserver/Xserver/Xmac68k/Makefile src/x11/Xserver/Xserver/Xmac68k/Makefile
--- src.old/x11/Xserver/Xserver/Xmac68k/Makefile	1969-12-31 16:00:00.000000000 -0800
+++ src/x11/Xserver/Xserver/Xmac68k/Makefile	2004-01-03 03:59:48.000000000 -0800
@@ -0,0 +1,37 @@
+#	$NetBSD$
+
+.include <bsd.own.mk>
+
+PROG=	Xmac68k
+BINMODE=4711
+
+MKMAN=	no
+
+.PATH:	${X11SRCDIR.xc}/programs/Xserver/hw/netbsd/mac68k
+
+.include "../Makefile.Xserver"
+
+LDADD+=	${LDADD.dix} ${LDADD.mi} ${LDADD.os} -lXau -lXdmcp ${LDADD.hw/netbsd/mac68k} \
+	${LDADD.cfb} ${LDADD.mfb} \
+	${LDADD.Xext/exts} ${LDADD.xkb} ${LDADD.xinput} ${LDADD.lbx} \
+	-llbxutil ${LDADD.randr} ${LDADD.render} ${LDADD.dix/xpstubs} \
+	${LDADD.mi} ${LDADD.Xext/exts} ${LDADD.xkb} ${LDADD.xinput} \
+	${LDADD.lbx} -llbxutil ${LDADD.randr} ${LDADD.render} \
+	${LDADD.hw/netbsd/mac68k} ${LDADD.Xext/ext} ${LDADD.dbe} ${LDADD.record} \
+	${LDADD.GL/glx} ${LDADD.GL/GLcore} ${LDADD.xtrap} ${LIBCWRAPPER} \
+	-lXfont -lfreetype ${LDADD.dix/xpstubs} \
+	-lXext -lX11 -lz -lm
+
+DPADD+=	${DPADD.dix} ${DPADD.mi} ${DPADD.os} ${LIBXAU} ${LIBXDMCP} ${DPADD.hw/netbsd/mac68k} \
+	${DPADD.cfb} ${DPADD.mfb} \
+	${DPADD.Xext/exts} ${DPADD.xkb} ${DPADD.xinput} ${DPADD.lbx} \
+	${LIBLBXUTIL} ${DPADD.randr} ${DPADD.render} ${DPADD.dix/xpstubs} \
+	${DPADD.mi} ${DPADD.Xext/exts} ${DPADD.xkb} ${DPADD.xinput} \
+	${DPADD.lbx} ${LIBLBXUTIL} ${DPADD.randr} ${DPADD.render} \
+	${DPADD.hw/netbsd/mac68k} ${DPADD.Xext/ext} ${DPADD.dbe} ${DPADD.record} \
+	${DPADD.GL/glx} ${DPADD.GL/GLcore} ${DPADD.xtrap} ${LIBCWRAPPER} \
+	${LIBXFONT} ${LIBFREETYPE} ${DPADD.dix/xpstubs} \
+	${LIBXEXT} ${LIBX11} ${LIBZ} ${LIBM}
+
+.include <bsd.x11.mk>
+.include <bsd.prog.mk>
diff -ruN -x CVS -x '.*' src.old/x11/Xserver/Xserver/Xmac68k/Xmac68k.c src/x11/Xserver/Xserver/Xmac68k/Xmac68k.c
--- src.old/x11/Xserver/Xserver/Xmac68k/Xmac68k.c	1969-12-31 16:00:00.000000000 -0800
+++ src/x11/Xserver/Xserver/Xmac68k/Xmac68k.c	2004-01-03 03:19:17.000000000 -0800
@@ -0,0 +1 @@
+/*	$NetBSD$	*/
Binary files src.old/x11/Xserver/Xserver/Xmacppc/Xmacppc and src/x11/Xserver/Xserver/Xmacppc/Xmacppc differ
Binary files src.old/x11/Xserver/Xserver/Xmacppc/Xmacppc.o and src/x11/Xserver/Xserver/Xmacppc/Xmacppc.o differ
diff -ruN -x CVS -x '.*' src.old/x11/Xserver/hw/Makefile src/x11/Xserver/hw/Makefile
--- src.old/x11/Xserver/hw/Makefile	2004-01-02 18:05:49.000000000 -0800
+++ src/x11/Xserver/hw/Makefile	2004-01-03 03:36:34.000000000 -0800
@@ -15,6 +15,10 @@
 SUBDIR+=netbsd/macppc
 .endif
 
+.if ${MACHINE} == "mac68k"
+SUBDIR+=netbsd/mac68k
+.endif
+
 .if ${MACHINE} == "hpcmips"
 SUBDIR+=netbsd/hpc
 .endif
diff -ruN -x CVS -x '.*' src.old/x11/Xserver/hw/netbsd/mac68k/Makefile src/x11/Xserver/hw/netbsd/mac68k/Makefile
--- src.old/x11/Xserver/hw/netbsd/mac68k/Makefile	1969-12-31 16:00:00.000000000 -0800
+++ src/x11/Xserver/hw/netbsd/mac68k/Makefile	2004-01-03 19:28:53.000000000 -0800
@@ -0,0 +1,36 @@
+#	$NetBSD$
+
+.include "../../../Makefile.serverlib"
+
+.include <bsd.own.mk>
+
+LIB=	mac68k
+
+.PATH:	${X11SRCDIR.xc}/programs/Xserver/hw/netbsd/mac68k
+SRCS=	mac68kEvent.c mac68kInit.c mac68kKbd.c mac68kKeyMap.c mac68k.h \
+	mac68kMouse.c mac68kMonoScreens.c mac68kInEx.c GetTime.c
+
+XSERVERINCDIR!= cd ${NETBSDSRCDIR}/x11/Xserver/include && ${PRINTOBJDIR}
+
+# trim fonts / extentions / XSERVERINCDIR if possible
+CPPFLAGS+=	-I${X11SRCDIR.xc}/programs/Xserver/hw/netbsd/mac68k \
+		-I${X11SRCDIR.xc}/programs/Xserver \
+		-I${X11SRCDIR.xc}/programs/Xserver/mi \
+		-I${X11SRCDIR.xc}/programs/Xserver/mfb \
+		-I${X11SRCDIR.xc}/programs/Xserver/cfb \
+		-I${X11SRCDIR.xc}/programs/Xserver/include \
+		-I${X11SRCDIR.xc}/programs/Xserver/os \
+		-I${DESTDIR}${X11INCDIR}/X11 \
+		-I${X11SRCDIR.xc}/include/fonts \
+		-I${X11SRCDIR.xc}/include/extensions \
+		-I${XSERVERINCDIR}
+
+CPPFLAGS+=	-UXFree86LOADER -UXF86VIDMODE -UXFreeXDGA -UXF86MISC \
+		-UXF86DRI -UXF86BIGFONT
+
+CPPFLAGS.mac68kInit.c=    -Wno-error
+
+BUILDSYMLINKS=	../../../mi/miinitext.c mac68kInEx.c
+
+.include <bsd.x11.mk>
+.include <bsd.lib.mk>
